Skip to main content
`Ctrl`+`K`

# PEPValuesView

Displays the computed eigenvalues in a viewer.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPValuesView(PEP pep,PetscViewer viewer)

Collective

## Input Parameters

- pep - the polynomial eigensolver context

- viewer - the viewer

## Options Database Key

- -pep_view_values - print computed eigenvalues

## Note

The command-line option listed above admits an optional argument specifying the viewer type and options. For instance, use `-pep_view_values :evals.m:ascii_matlab` to save the values in a file that can be executed in Matlab. See `PetscObjectViewFromOptions()` for more details.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPSolve()`, `PEPVectorsView()`, `PEPErrorView()`

## Level

intermediate

## Location

src/pep/interface/pepview.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages